Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class SimpleJavaAccessTypeNode

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.SimpleJavaAccessNode
                  net.sourceforge.pmd.ast.AccessNode
                      net.sourceforge.pmd.ast.SimpleJavaAccessTypeNode

All Implemented Interfaces:
  AccessNodeInterface, JavaNode, Node, TypeNode

Direct Known Subclasses:
  ASTAnnotationTypeDeclaration, ASTClassOrInterfaceDeclaration, ASTEnumDeclaration, ASTFieldDeclaration

    public class SimpleJavaAccessTypeNode

extends AccessNode
implements TypeNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Fields inherited from interface net.sourceforge.pmd.ast.AccessNodeInterface
`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

Constructor Summary
`SimpleJavaAccessTypeNode(int i)`
`SimpleJavaAccessTypeNode(JavaParser parser, int i)`

Method Summary
`java.lang.Class<?>` | `getType()` Get the Java Class associated with this node.
`void` | `setType(java.lang.Class<?> type)` Set the Java Class associated with this node.

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaAccessNode
`collectDumpedModifiers, getModifiers, isAbstract, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setAbstract, setFinal, setFinal, setModifiers, setNative, setNative, setPrivate, setPrivate, setProtected, setProtected, setPublic, setPublic, setStatic, setStatic, setStrictfp, setStrictfp, setSynchronized, setSynchronized, setTransient, setTransient, setVolatile, setVolatile`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getLabel, getNthParent, getParentsOfType, getScope, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setScope, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### SimpleJavaAccessTypeNode

    public SimpleJavaAccessTypeNode(int i)

### SimpleJavaAccessTypeNode

    public SimpleJavaAccessTypeNode(JavaParser parser,
                                    int i)

Method Detail

### getType

    public java.lang.Class<?> getType()

  Description copied from interface: `TypeNode`
  Get the Java Class associated with this node.

  Specified by:
    `getType` in interface `TypeNode`
  Returns:
    The Java Class, may return `null`.

### setType

    public void setType(java.lang.Class<?> type)

  Description copied from interface: `TypeNode`
  Set the Java Class associated with this node.

  Specified by:
    `setType` in interface `TypeNode`
  Parameters:
    `type` - A Java Class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.